Bug 64203 - can't change fonts in gtk apps
can't change fonts in gtk apps
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: xchat (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
http://bcjanes2.home.attbi.com/mm/bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 02:09 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 02:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-29 02:09:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
When trying to change the font in xchat, you can view all the fonts on the
system, but if you try to change it, it says it can't load the font, no matter
what font you choose. You also get the same error as other gtk apps load, but
they will run with the default font.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load xchat, or gvim. Error font not found dialogs pop up, but program loads.
2.Try to change font in settings menu. Can see fonts, seem to accept changes,
click on apply
3.Error, font not found appears, font doesn't change.
	

Actual Results:  Fonts won't change in gtk apps (xchat and gvim for sure)

Expected Results:  Fonts should change to selected font

Additional info:

If I launch a gtk app from console ie: #: up2date -i I get the following lines
then the app loads:
Gdk-WARNING **: locale not supported by Xlib, Locale set to C

Gdk-WARNING **: locale not supported by Xlib, locale set to C

Gdk-WARNING **: locale not supported by Xlib, locale set to C

Yes, it prints the line 3 times in the console before it loads any GTK app.
Comment 1 Mike A. Harris 2002-05-20 22:01:08 EDT
Beta-only problem fixed in final release, please upgrade to RHL 7.3.

Note You need to log in before you can comment on or make changes to this bug.